Package ghidra.util.layout

# Class PairLayout

java.lang.Object
ghidra.util.layout.PairLayout

All Implemented Interfaces:
  `LayoutManager`

public class PairLayout extends Object implements LayoutManager
LayoutManger for arranging components into exactly two columns. The right column and the left column may have differing widths. Also, each row is the same height, which is the largest of all rows.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PairLayout()`
  `PairLayout(int vgap, int hgap)`
  Constructs a new PairLayout.
  `PairLayout(int vgap, int hgap, int minimumRightColumnWidth)`
  Constructs a new PairLayout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String name, Component comp)`
  `void`
  `layoutContainer(Container parent)`
  `Dimension`
  `minimumLayoutSize(Container parent)`
  `Dimension`
  `preferredLayoutSize(Container parent)`
  `void`
  `removeLayoutComponent(Component comp)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PairLayout

    public PairLayout()

  - ### PairLayout

    public PairLayout(int vgap, int hgap)
    Constructs a new PairLayout.
    Parameters:
      `vgap` - the gap (in pixels) between rows.
      `hgap` - the gap (in pixels) between the two columns.

  - ### PairLayout

    public PairLayout(int vgap, int hgap, int minimumRightColumnWidth)
    Constructs a new PairLayout.
    Parameters:
      `vgap` - the gap (in pixels) between rows.
      `hgap` - the gap (in pixels) between the two columns.
      `minimumRightColumnWidth` - specifies the minimum width of the second column.

- ## Method Details

  - ### addLayoutComponent

    public void addLayoutComponent(String name, Component comp)
    Specified by:
      `addLayoutComponent` in interface `LayoutManager`
    See Also:
      - `LayoutManager.addLayoutComponent(String, Component)`

  - ### removeLayoutComponent

    public void removeLayoutComponent(Component comp)
    Specified by:
      `removeLayoutComponent` in interface `LayoutManager`
    See Also:
      - `LayoutManager.removeLayoutComponent(Component)`

  - ### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)
    Specified by:
      `preferredLayoutSize` in interface `LayoutManager`
    See Also:
      - `LayoutManager.preferredLayoutSize(Container)`

  - ### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)
    Specified by:
      `minimumLayoutSize` in interface `LayoutManager`

  - ### layoutContainer

    public void layoutContainer(Container parent)
    Specified by:
      `layoutContainer` in interface `LayoutManager`